For the complete documentation index, see llms.txt. This page is also available as Markdown.

Highlights

APIs for adding highlights on accounts.

Create an account highlight

post
/accounts/{account_id}/highlights

Creates a new highlight on an account.

Rate limit: 30 requests per minute

Authorizations
AuthorizationstringRequired

Authorization: Bearer

Path parameters
account_idstringRequired

The ID or external ID of the account that the highlight belongs to.

Body
contact_idstringOptional

Optional ID or external ID of a contact to associate the resulting memory with. The contact must belong to the account.

content_htmlstringRequired

The HTML content for this highlight.

expires_atstring · date-timeOptional

Optional RFC3339 timestamp of when this highlight will expire.

Responses
200Success
application/json
request_idstringRequired
post/accounts/{account_id}/highlights
POST /accounts/{account_id}/highlights HTTP/1.1
Host: api.usepylon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "contact_id": "text",
  "content_html": "text",
  "expires_at": "2026-01-01T00:00:00.000Z"
}
{
  "data": {
    "account_id": "text",
    "content_html": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z",
    "id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z"
  },
  "request_id": "text"
}

Update an account highlight

patch
/accounts/{account_id}/highlights/{highlight_id}

Updates an existing account highlight. Only provided fields are modified.

Rate limit: 120 requests per minute

Authorizations
AuthorizationstringRequired

Authorization: Bearer

Path parameters
highlight_idstringRequired

The ID of the highlight to update.

account_idstringRequired

The ID or external ID of the account that the highlight belongs to.

Body
content_htmlstringOptional

The updated HTML content for this highlight.

expires_atstringOptional

The updated expires at timestamp (RFC3339). Omit it to keep the current expiry, or set it to an empty string to clear it.

Responses
200Success
application/json
request_idstringRequired
patch/accounts/{account_id}/highlights/{highlight_id}
PATCH /accounts/{account_id}/highlights/{highlight_id} HTTP/1.1
Host: api.usepylon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "content_html": "text",
  "expires_at": "text"
}
{
  "data": {
    "account_id": "text",
    "content_html": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z",
    "id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z"
  },
  "request_id": "text"
}

Delete an account highlight

delete
/accounts/{account_id}/highlights/{highlight_id}

Permanently deletes an account highlight by ID.

Rate limit: 120 requests per minute

Authorizations
AuthorizationstringRequired

Authorization: Bearer

Path parameters
account_idstringRequired

The ID or external ID of the account that the highlight belongs to.

highlight_idstringRequired

The ID of the highlight to delete.

Responses
200Success
application/json
request_idstringRequired
delete/accounts/{account_id}/highlights/{highlight_id}
DELETE /accounts/{account_id}/highlights/{highlight_id} HTTP/1.1
Host: api.usepylon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "success": true
  },
  "request_id": "text"
}

Last updated

Was this helpful?